Package org.apache.torque.templates.model

## Class View

- java.lang.Object
- - org.apache.torque.templates.model.View

-     public class View
      extends Object

  The model of the view tag in a Torque schema file.
  Version:
    $Id: $

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Boolean` | `_abstract` | Whether the data object class is abstract.
    `String` | `baseClass` | The base class of the data object class.
    `String` | `basePeer` | The base class of the peer class.
    `List<ViewColumn>` | `columnList` | The columns of this view.
    `String` | `createSql` | The complete SQL for creating the view.
    `String` | `description` | A description of the view.
    `String` | `javaName` | The unqualified name of the data object class.
    `String` | `name` | The view's name.
    `List<Option>` | `optionList` | The options for this view.
    `Database` | `parent` | The database to which this view belongs.
    `Boolean` | `skipSql` | Whether sql generation should be skipped.
    `String` | `sqlSuffix` | The remainder of the sql for the view after column definitions.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `View()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          public Database parent

      The database to which this view belongs.

    - #### optionList

          public List<Option> optionList

      The options for this view.

    - #### columnList

          public List<ViewColumn> columnList

      The columns of this view.

    - #### name

          public String name

      The view's name.

    - #### baseClass

          public String baseClass

      The base class of the data object class.

    - #### basePeer

          public String basePeer

      The base class of the peer class.

    - #### _abstract

          public Boolean _abstract

      Whether the data object class is abstract.

    - #### javaName

          public String javaName

      The unqualified name of the data object class. If null, the class name will be determined from the name attribute.

    - #### sqlSuffix

          public String sqlSuffix

      The remainder of the sql for the view after column definitions.

    - #### createSql

          public String createSql

      The complete SQL for creating the view. If set, overrides all other means of generating the SQL for view creation.

    - #### skipSql

          public Boolean skipSql

      Whether sql generation should be skipped.

    - #### description

          public String description

      A description of the view.

  - ### Constructor Detail

    - #### View

          public View()